package it.dtt.ca.event;

/**
 * This interface provides notification of CA related events of any kind.
 * 
 */

public interface CAListener {

    /**
     * Invoked when the specified event was retrieved.
     *
     * @param caAccessEvent the received event
     */
     void caAccessEventReceived(CAAccessEvent caAccessEvent);
    

    /**
     * Invoked when the specified event was retrieved.
     *
     * @param caProductEvent the received event
     */
    void caProductEventReceived(CAProductEvent caProductEvent);

    /**
     * Invoked when the specified event was retrieved.
     *
     * @param newMessageEvent the received event
     */
    void newMessageEventReceived(NewMessageEvent newMessageEvent);

    /**
     * Invoked when the specified event was retrieved.
     *
     * @param pinRequestEvent the received event
     */
    void pinRequestEventReceived(PinRequestEvent pinRequestEvent);

    /**
     * Invoked when the specified event was retrieved.
     *
     * @param rechargeEvent the received event
     */
    void rechargeEventReceived(RechargeEvent rechargeEvent);



}