/*
 * Created on Apr 1, 2005
 */
package it.dtt.ca.event;

import it.dtt.ca.CAManager;
import it.dtt.ca.history.Message;

/**
 * Notifies that a new message arrived.
 * Messages can be read getting the message history from the SmartCard class.
 */
public class NewMessageEvent extends CAEvent {

    /**
     * Create a NewMessageEvent instance.
     *
     * @param caManager the CaManger
     * @param message   the new message
     */
    protected NewMessageEvent(CAManager caManager, Message message) {
        super(caManager, message, null);
    }


    /**
     * Get the new message.
     *
     * @return the new message.
     */
    public Message getNewMessage() {
        return (Message) getData();
    }

    /**
     * Returns the type of event that's arrived.
     *
     * @return type of event.
     * @see it.dtt.ca.event.CAEvent#NEW_MESSAGE_EVENT
     */
    public int getType() {
        return NEW_MESSAGE_EVENT;
    }

}
