/*
 * Created on Dec 29, 2004
 */
package it.dtt.ca.event;

import it.dtt.ca.*;

/**
 * Base class of all smart card related events defined in this package.
 * 
 */
public abstract class SmartCardEvent extends CAEvent {

    /**
     * Generate a SmartCardEvent instance
     *
     * @param smartCard   smart card generating the event
     * @param data        event related data
     * @param description description of the event
     */

    protected SmartCardEvent(it.dtt.ca.SmartCard smartCard, java.lang.Object data, java.lang.String description) {
        super(smartCard, data, description);
    }


    /**
     * Gives the smart card which generated the event
     *
     * @return the smart card object which generated the event.
     */
    public SmartCard getSmartCard() {
        return (SmartCard) getSource(); 
    }

}

