package it.dtt.ca.history;



/**
 * Container class used to keep an history of items of various kind.
 *
 * <p>Histories will depend upon the current user.
 *
 * <p>The current user is defined and retrieved using the
 * org.dvb.user.GeneralPreference("UserName", String userName).
 *
 * <p>The user name is stored by:
 * <li>GeneralPreference myPref = new GeneralPreference("UserName", "John Doe");
 * <li>UserPreferenceManager.getInstance().write(myPref);
 *
 * <p>And can be read by:
 * <li>GeneralPreference myPref = new GeneralPreference("UserName").
 * <li>UserPreferenceManager.getInstance().read(myPref);
 * <li>String myUserName = myPref.getMostFavourite();
 */
public class History {

    /**
     * Create an History object.
     *
     * @param type the type of history to create.
     */
    public History(int type) {
    }

    /**
     * Identifies an history collecting bought packages.
     */
    public final static int PPV_HISTORY = 450;
    /**
     * Identifies an history of card recharges
     */
    public final static int RECHARGE_HISTORY = 451;

    /**
     * Identifies a history of messages from the broadcaster
     */
    public final static int MESSAGE_HISTORY = 452;

    /**
     * Identifies the type of history carried within the specific object
     *
     * @return history type
     */
    public int getHistoryType() {
        return 0;
    }

    /**
     * Retrieves all items collected in this history object.
	 * All the items returned shall be of the appropriate sub-class of HistoryItem for the type of this History instance
     *
     * @return an array of history items
     */
    public HistoryItem[] getItems() {
        return null;
    }

    /**
     * Returns the length of the history items.
     * @return history length
     */
    public int getHistoryLength() {
        return 0;
    }

    /**
     * Retrieves a History Item at the specified index.
     * The index is zero based.
     *
     * @return a history item
     */
    public HistoryItem getItem(int index) {
        return null;  // body
    }

    /**
	 * Sets an array of HistoryItem within an History instance.
	 * If the Conditional Access allows changing permanently the history, then calling this method with an empty array will clear the history.
	 * Calling the method with a null parameter will throw a NullPointerException
	 *
     * @param items The items to set.
	 *
	 * @throws IllegalArgumentException if any of the items in the array are not of the appropriate sub-class of HistoryItem for the type of this History instance
     */
    public void setItems(HistoryItem[] items) throws IllegalArgumentException, NullPointerException {
    }
}