package it.dtt.ca.history;

import java.io.Serializable;
import java.util.*;

/**
 * This is the base class for object describing the history
 * 
 */
public class HistoryItem implements Serializable{
    /**
     * Create an history item.
     * @param status the status of this item in the history log, either READ, UNREAD, or DISPOSED.
     * @param date the time and date of storage of the item in the history log.
     */
    protected HistoryItem(int status, Date date) {
        super();
    }
    /**
     * constant indicating that the item is unread.
     */
    public final static int UNREAD = 501;

    /**
     * constant indicating that the item has been read.
     */
    public final static int READ = 502;

    /**
     * constant indicating an item marked as disposed.
     */
    public final static int DISPOSED = 503;

    /**
     * Informs when the specific item was stored in the history log.
     *
     * @return time and date of storage of the item in the history log.
     */
    public Date getDate() {
        return null;
    }

    /**
     * Mark the item as disposed.
     * Any subsequent call of getStatus() will return "DELETED".
     */
    public void markDisposed() {
    }

    /**
     * Mark the item as read;
     */
    public void markRead() {
    }

    /**
     * Mark the item as unread;
     */
    public void markUnread() {
    }

    /**
     * Get the status of this history item. Can be any value defined in this class (e.g. UNREAD).
     *
     * @return the item status.
     */
    public int getStatus() {
        return 0;
    }
}