/*
 * Created on Dec 29, 2004
 */
package it.dtt.ca.history;

import java.io.Serializable;
import java.util.*;


/**
 * Class defining a message as an HistoryItem.
 * The message is similar to an e-mail sent from the broadcaster to the user.
 * The user can change the message status, dispose it, change its priority.
 * 
 */
public class Message extends HistoryItem implements Serializable{

    /**
     * Create a Message.
     * @param id the identifier of this message.
     * @param message the complete message.
     * @param initialPriority the initial priority of the message.
     * @param status the status of the message (@see it.dtt.ca.history.HistoryItem).
     * @param date the date when the message was stored.
     */
    protected Message(int id, String message, int initialPriority, int status, Date date ) {
        super(status, date);
    }
    
    /**
     * Create a Message.
     * @param id the identifier of this message.
     * @param subject the subject of the message.
     * @param body the complete message.
     * @param initialPriority the initial priority of the message.
     * @param status the status of the message (@see it.dtt.ca.history.HistoryItem).
     * @param date the date when the message was stored. 
     */
    public Message(int id, String subject, String body, int initialPriority, int
    		status, Date date ) {
    		        super(status, date);
    		    }
    
    /**
     * constant indicating a low priority message.
     */
    public final static int PRIORITYLOW = 550;

    /**
     * constant indicating a normal priority message.
     */
    public final static int PRIORITYNORMAL = 551;

    /**
     * constant indicating a high priority message.
     */
    public final static int PRIORITYHIGH = 552;



    /**
     * Get the subject of the message.
     *
     * @return a String containig the subject of the message.
     */
    public String getSubject() {
        return null;
    }

    /**
     * Get the body of the message.
     *
     * @return a String containing the body of the message.
     */
    public String getBody() {
        return null;
    }

    /**
     * Get the numeric identifier of the message.
     *
     * @return a number that identifies the message.
     */
    public int getId() {
        return 0;
    }




    /**
     * Get the priority of the message.
     * This information can be used to display the message in different way.
     * @return the priority of the message. Can be either PRIORITYHIGH, PRIORITYNORMAL, PRIORITYLOW.
     */
    public int getPriority() {
        return 0;
    }


    public boolean equals(Object o){
    	return true;
    }
    


}
