package it.dtt.ca.ppv;

import it.dtt.ca.exception.FieldNotPresentException;


/**
 * 
 * This class represents products which can be bought through the CA system but which do not correspond to any of the other sub-classes of Product.
 * It implements methods left abstract in base class Product.
 * 
 */
public class GenericProduct extends Product {

    /**
     * Create an instance of GenericProduct representing content that can be purchased through the CA system.
     * @param id   the product id.
     * @param name the product name.
     */
    protected GenericProduct(String id, String name) {
        super(id, name, null);
    }

    /* (non-Javadoc)
     * @see it.dtt.ca.ppv.Product#isFree()
     */
    public boolean isFree() throws FieldNotPresentException {
        throw new FieldNotPresentException();
    }
    /**
     * Returns the product type
     * @return product type
     * @see  it.dtt.ca.ppv.Product#GENERIC_PRODUCT
     */
    public int getType() {
        return GENERIC_PRODUCT;
    }
}
