package it.dtt.ca.ppv;

import it.dtt.ca.exception.FieldNotPresentException;

/**
 * This class represents a collection of {@link it.dtt.ca.ppv.PPVEvent} objects
 * sold together as a package.
 * 
 */
public class PPVPackage extends Product {
    
    /**
     * Construct a PPVPackage.
     *
     * @param id   the PPV package id.
     * @param name the PPV package name.
     * @param products the products contained in this package.
     */
    protected PPVPackage(String id, String name, Product[] products) {
        super(id, name, null);
    }

    public boolean isFree() throws FieldNotPresentException {
        return false;  
    }
    
    /**
     * Returns the product type
     * @return product type
     * @see  it.dtt.ca.ppv.Product#PPV_PACKAGE
     */
    public int getType() {
        return PPV_PACKAGE;
    }
}
