package it.dtt.ca.ppv;

import javax.tv.locator.Locator;
import java.util.Date;

/**
 * This class represents a subscription for a service
 * Where methods take an array as an input parameter,
 * implementations should take a copy of the array. Where methods return an array,
 * a copy should be returned and modifications to the array should be ignored by
 * the implementation until or unless the array is passed back to the
 * implementation as a parameter to a method call. 
 */
public class Subscription extends Product {

    /**
     * Create a Subscription object.
     *
     * @param id   the subscription service ID.
     * @param name the subscription service name.
     * @param services the services that make part of this Subscription.
     * @param start the starting date of the subscription service.
     * @param end the ending date of the subscription service.
     */
    protected Subscription(String id, String name, Locator[] services, Date start, Date end) {
        super(id, name, null);
    }

    /**
     * Retrieves the start date for validity of the subscription
     *
     * @return the date
     */
    public Date getSubscriptionStart() {
        return null;
    }

    /**
     * Retrieves the end date for validity of the subscription
     *
     * @return the date
     */
    public Date getSubscriptionEnd() {
        return null;
    }

    /**
     * Get the list of services that make part of this Subscription.
     *
     * @return array of locators indicating the services.
     */
    public Locator[] getServices() {
        return null;
    }

    /* (non-Javadoc)
     * @see it.dtt.ca.ppv.Product#isFree()
     */
    public boolean isFree() {
        return false;
    }

    /**
     * Returns the product type
     * @return product type
     * @see  it.dtt.ca.ppv.Product#SUBSCRIPTION
     */
    public int getType() {
        return SUBSCRIPTION;
    }
}
