/*
 * Created on Apr 1, 2005
 */
package it.dtt.ca.response;

import it.dtt.ca.ppv.Product;
import it.dtt.ca.request.CARequest;

/**
 * This event notifies a successful response to a BuyRequest.
 * 
 */
public class BuyResponseEvent extends SuccessResponseEvent {

    /**
     * Constructs BuyResponseEvent.
     *
     * @param request the CARequest object, that generated this response.
     * @param product the specific product that has been purchased.
     */
    public BuyResponseEvent(CARequest request, Product product) {
        super(request);
    }

    /**
     * Get updated information on the purchased product.
     *
     * @return the product that has been bought.
     */
    public Product getBoughtProduct() {
        return null;
    }
}
