/*
 * Created on Apr 1, 2005
 */
package it.dtt.ca.response;

import it.dtt.ca.history.History;
import it.dtt.ca.request.CARequest;

/**
 * This class provides the required History in response to a HistoryRequest.
 * This response is provided independently of the physical location of the required History
 * (smart card or STB).
 * 
 */
public class HistoryResponseEvent extends SuccessResponseEvent {

    /**
     * Construct HistoryResponseEvent.
     *
     * @param request the CARequest object, that generated this response.
     * @param history the history.
     */
    public HistoryResponseEvent(CARequest request, History history) {
        super(request);
    }

    /**
     * Get the the history that was requested.
     *
     * @return the history.
     */
    public History getHistory() {
        return null;
    }
}
