/*
 * Created on Mar 29, 2005
 */
package it.dtt.ca.util;

import it.dtt.ca.util.Money;

import java.util.Date;

/**
 * This class represents a digital wallet.
 * The content of this class is informative only:
 * applications using this class cannot change any value contained in the wallet.
 * 
 * <p>Wallets will depend upon the current user.
 *
 * <p>The current user is defined and retrieved using the
 * org.dvb.user.GeneralPreference("UserName", String userName).
 *
 * <p>The user name is stored by:
 * <li>GeneralPreference myPref = new GeneralPreference("UserName", "John Doe");
 * <li>UserPreferenceManager.getInstance().write(myPref);
 *
 * <p>And can be read by:
 * <li>GeneralPreference myPref = new GeneralPreference("UserName").
 * <li>UserPreferenceManager.getInstance().read(myPref);
 * <li>String myUserName = myPref.getMostFavourite();
 */
public class Wallet {

    /**
     * Creates a wallet.
     *
     * @param name name.
     * @param id id.
     * @param expiryDate expiry date.
     * @param credit the credit to store on the wallet.
     * @param boughtCount bought count.
     * @param boughtLeftCount bought left count.
     */
    protected Wallet(
        String name,
        String id,
        Date expiryDate,
        Money credit,
        int boughtCount,
        int boughtLeftCount)
    {
    }
    
    /**
     * Get the name of this Wallet.
     *
     * @return the name of this wallet.
     */
    public String getName() {
        return null;
    }

    /**
     * Get the identifier of this Wallet.
     *
     * @return the identifier of this wallet.
     */
    public String getId() {
        return null;
    }

    /**
     * Get the expiry date of this Wallet.
     *
     * @return the expiry date.
     */
    public Date getExpiryDate() {
        return null;
    }

    /**
     * Gets the credit left in the Wallet.
     *
     * @return the credit left.
     */
    public Money getCredit() {
        return null;
    }

    /**
     * Gets the number of events bought with this card.
     *
     * @return number of bought events
     */
    public int getBoughtNumber() {
        return 0;
    }

    /**
     * Return the number of events that can be bought.
     *
     * @return number of events the user can buy
     */
    public int getCanBuyNumber() {
        return 0;
    }

}
